<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "bit_advantage_rule".
 *
 * @property integer $id
 * @property string $create_date
 * @property string $modify_date
 * @property string $content
 * @property string $title
 */
class AdvantageRule extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'bit_advantage_rule';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['create_date', 'modify_date'], 'safe'],
            [['content'], 'required'],
            [['content'], 'string'],
            [['title'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'create_date' => 'Create Date',
            'modify_date' => 'Modify Date',
            'content' => 'Content',
            'title' => 'Title',
        ];
    }
}
